Package io.vertx.mssqlclient

## Class MSSQLException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - io.vertx.core.VertxException
        - - io.vertx.sqlclient.DatabaseException
          - - io.vertx.mssqlclient.MSSQLException

- All Implemented Interfaces:
    `Serializable`

      public class MSSQLException
      extends DatabaseException

  The `DatabaseException` for MS SQL Server.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MSSQLException​(int number, byte state, byte severity, String errorMessage, String serverName, String procedureName, int lineNumber)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(MSSQLException e)` |
    `List<MSSQLException>` | `additional()` |
    `String` | `errorMessage()` |
    `int` | `lineNumber()` |
    `String` | `procedureName()` |
    `String` | `serverName()` |
    `byte` | `severity()` |
    `byte` | `state()` |

    - ### Methods inherited from class io.vertx.sqlclient.DatabaseException

      `getErrorCode, getSqlState`

    - ### Methods inherited from class io.vertx.core.VertxException

      `noStackTrace, noStackTrace, noStackTrace`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MSSQLException

          public MSSQLException​(int number,
                                byte state,
                                byte severity,
                                String errorMessage,
                                String serverName,
                                String procedureName,
                                int lineNumber)

  - ### Method Detail

    - #### add

          public void add​(MSSQLException e)

    - #### state

          public byte state()

    - #### severity

          public byte severity()

    - #### errorMessage

          public String errorMessage()

    - #### serverName

          public String serverName()

    - #### procedureName

          public String procedureName()

    - #### lineNumber

          public int lineNumber()

    - #### additional

          public List<MSSQLException> additional()

      Returns:
        additional errors reported by the client, or `null`